%define beta 3

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:       	qca-gnupg
Version:    	2.0.0
Release:    	3
Epoch:		1
Summary:    	GnuPG plugin for the Qt Cryptographic Architecture v2
License:    	LGPLv2+
Group:      	System/Libraries
URL:        	http://delta.affinix.com/qca/
Source0:    	http://delta.affinix.com/download/qca/2.0/plugins/qca-gnupg-%{version}-beta%{beta}.tar.bz2
#Patch0:     	qca-gnupg-includes.patch
BuildRoot:  	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: 	qt4-devel, qca-devel >= 1:2.0.0-1
Requires:   	gnupg


%description
This is a plugin to provide GnuPG capability to programs that use the Qt
Cryptographic Architecture (QCA).  QCA is a library providing an easy API
for several cryptographic algorithms to Qt programs.  This package only
contains the GnuPG plugin.

%prep
%setup -q -n %{name}-%{version}-beta%{beta}
#%patch0 -p0 -b .includes


%build
unset QTDIR
./configure \
  --no-separate-debug-info \
  --verbose --with-qca=/usr
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

export INSTALL_ROOT=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_qt4_plugindir}/crypto
make install


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING
%{_qt4_plugindir}/crypto/


%changelog
* Mon Nov 02 2009 Christian Metzen <metzench@ccux-linux.de> 1:2.0.0-3
- add epoch for clean upgrade path
- fixes bug #0000040
* Sun Nov 01 2009 Christian Metzen <metzench@ccux-linux.de> 2.0.0-2
- beta 3
* Wed Apr 16 2008 Christian Metzen <metzench@ccux-linux.de> 2.0.0-1.beta1
- Initial release
